/****************************************************************************
*
* Copyright (c) 1989-1991 by CAD Language Systems, Inc.  All rights reserved.
*
* This file contains CLSI Confidential Information.
* Handle in accordance with contractual confidentiality requirements.
*
* This is part of CLSI's Retargetable VHDL Code Generator.
*
* INCLUDE FILE: STANDARD.h
*
* HISTORY:
*	...
*       31-JAN-91 DSB   Changed from byte size to scalar count
*	25-APR-91 DSB	W0021: adapting to new VKI
*	12-JUN-91 DSB	Adapted NOW's IAR for large physical type return 
*			protocol
*	08-JUL-91 DSB	Fixed AC_STRING to IS_STRING, also _BIT_VECTOR
*
* SCCS ID: @(#)STANDARD.h	35.1 12/24/91
*
* ****************************************************************************/

#ifndef STANDARD_H
#define STANDARD_H

#include "VLI.h"

extern VK_tSymbInfoHandle SIH_std__STANDARD;
extern VK_tSymbInfoHandle SIH_std__STANDARD__BOOLEAN;
extern VK_tSymbInfoHandle SIH_std__STANDARD__BIT;
extern VK_tSymbInfoHandle SIH_std__STANDARD__CHARACTER;
extern VK_tSymbInfoHandle SIH_std__STANDARD__SEVERITY_LEVEL;
extern VK_tSymbInfoHandle SIH_std__STANDARD__INTEGER;
extern VK_tSymbInfoHandle SIH_std__STANDARD__REAL;
extern VK_tSymbInfoHandle SIH_std__STANDARD__1NOW;
extern VK_tSymbInfoHandle SIH_std__STANDARD__NATURAL;
extern VK_tSymbInfoHandle SIH_std__STANDARD__POSITIVE;
extern VK_tSymbInfoHandle SIH_std__STANDARD__TIME;
extern VK_tSymbInfoHandle SIH_std__STANDARD__STRING;
extern VK_tSymbInfoHandle SIH_std__STANDARD__BIT_VECTOR;

typedef struct stLAR_std__STANDARD * tLARP_std__STANDARD;

typedef struct {	 /* tIAR_std__STANDARD__1NOW */
	VK_KERNEL_IAR_FIELDS()		/* declare kernel fields */
	VK_tLARHeaderPtr caller_LARP;
	tLARP_std__STANDARD context_LARP;
	VK_tLargeData function_result_param;
    } tIAR_std__STANDARD__1NOW;
typedef tIAR_std__STANDARD__1NOW * tIARP_std__STANDARD__1NOW;

typedef struct stLAR_std__STANDARD {	 /* tLAR_std__STANDARD */
	VK_KERNEL_LAR_FIELDS()		/* declare kernel fields */
    VK_tIARHeaderPtr IARP;
    VK_tIntegerRangeConstraint AC_BOOLEAN;
    VK_tIntegerRangeConstraint AC_BIT;
    VK_tIntegerRangeConstraint AC_CHARACTER;
    VK_tIntegerRangeConstraint AC_SEVERITY_LEVEL;
    VK_tIntegerRangeConstraint AC_INTEGER;
    VK_tFloatingRangeConstraint AC_REAL;
    VK_tLargeRangeConstraint AC_TIME;
    VK_tIntegerRangeConstraint AC_NATURAL;
    VK_tIntegerRangeConstraint AC_POSITIVE;
    VK_tDiscreteRange IS_STRING[1];
    VL_tLengthField LE_STRING;
    VK_tDiscreteRange IS_BIT_VECTOR[1];
    VL_tLengthField LE_BIT_VECTOR;
  } tLAR_std__STANDARD;

extern tLARP_std__STANDARD LARP_std__STANDARD;
#endif /* STANDARD_H */
/* End of STANDARD.h */
