static char SCCS_ID[] = "@(#)TKErrors.c	42.1 1/10/92";
/* *******************************************************************
*
* Copyright (c) 1989-1991 by CAD Language Systems, Inc.  All rights reserved.
*
* This file contains CLSI Confidential Information.
* Handle in accordance with contractual confidentiality requirements.
*
* CODE FILE: TKErrors.c
*
* DESCRIPTION:  
*	<then describe contents>
*
* CONSTANTS:
*	<constants>	<constants defined in this header file >
*
* TYPES:
*	<types>		<types defined in this header file >
*
* GLOBAL VARIABLES:
*	<globals>	<global variables defined in this header file >
*
* ROUTINES:
*   External:
*	...
*
*   Internal:
*	...
*
* HISTORY:
*	14-JUN-90 DSB	Created
*	25-APR-91 AWH	WOO21: Renamed to TK...
*	02-MAY-91 DSB	Cleaning up generally
*	28-MAY-91 DSB	Added space ("%s(%s)" => "%s (%s)")
*	12-SEP-91 AWH	Using output from GenErrFiles and
*			merging with VLK changes
*
* SCCS ID: @(#)TKErrors.c	42.1 1/10/92
*
******************************************************************* */

#include "TKCommon.h"
#include "TKErrors.h"


/* Kernel Error Map */
ErrorMap KE_Map =
    {
#include "TKErrorMap.g"
#if 00000 /* ?? should remove this */
	{ KE_UnknownError, "UnknownError", Abort, "%s"},
	{ KE_Internal, "Internal", Abort, "%s"},
	{ KE_VHDL, "VHDL", Error, "%s"},
	{ KE_VHDLExtra, "VHDL", Error, "%s (%s)"},
	{ KE_VCGLimit, "VCGLimit", Error, "%s"},
	{ KE_KernelLimit, "KernelLimit", Error, "%s"},
	{ KE_Welcome, "Welcome", Information, 
		"CLSI Retargetable VHDL Code Generator %s %s"},
	{ KE_SimStatus, "SimStatus", 
			Information, "Simulate: %s"},
#endif 
   };	


/* *******************************************************************
*
* InitializeErrors - 
*
* HISTORY:
*	04-DEC-91 AWH	Created
*
******************************************************************* */

void InitializeErrors(slave)
VK_tBoolean slave;
{
#define KE_MapSize sizeof(KE_Map) / sizeof(KE_Map[0])
/**/
    SetErrorMap(KE_Facility, "KER", KE_Map, KE_MapSize);

    if (slave) {
	SetErrorFormat("$T");
	SetErrorFrame("ER %s");
    }

    if (slave) {
    	SetReportLevel(Warning);
    }
    else {
    	SetReportLevel(Information);
    }
    
} /* InlitializeErrors */


#if 0
/* *******************************************************************
*
* RtnName - <description of function or procedure>
*
* HISTORY:
*	??-JUN-90 DSB	Created
*
******************************************************************* */


<static> Fntype RtnName(parm)				/* return value desc. if not void */
tParmType parm;			/* mode: description */
{
    type local;				/* description */
    type local;				/* description */
/**/

} /* RtnName */


#endif
