#ifndef TKErrors_H
#define TKErrors_H
/* *******************************************************************
*
* Copyright (c) 1989-1990 by CAD Language Systems, Inc.  All rights reserved.
*
* This file contains CLSI Confidential Information.
* Handle in accordance with contractual confidentiality requirements.
*
* HEADER FILE: TKErrors.h
*
* DESCRIPTION:  
*	Private interface file for TKErrors.c.  
*	This file contains the error message map for the
*	SPI error reporting facility ... KE ( Kernel Errors)
*	<then describe contents>
*
* CONSTANTS:
*	<constants>	<constants defined in this header file >
*
* TYPES:
*	<types>		<types defined in this header file >
*
* GLOBAL VARIABLES:
*	<globals>	<global variables defined in this header file >
*
* ROUTINES:
*   External:
*	...
*
* HISTORY:
*	04-JAN-91 AWH	Created
*	25-APR-91 AWH	WOO21: Renamed to TK...
*	02-MAY-91 DSB	Cleaning up generally
*	12-SEP-91 AWH	Using GenErrFiles output
*	16-OCT-91 MNP	proto consistent
*
* SCCS ID: @(#)TKErrors.h	42.1 1/10/92
*
******************************************************************* */
#include "TKErrorCodes.g"


void InitializeErrors(
#ifdef ANSI_FN_PROTOS
	VK_tBoolean slave;
#endif
    );


#endif /* TKErrors_H */








