#ifndef TKRegister_H
#define TKRegister_H
/* *******************************************************************
*
* Copyright (c) 1989-1990 by CAD Language Systems, Inc.  All rights reserved.
*
* This file contains CLSI Confidential Information.
* Handle in accordance with contractual confidentiality requirements.
*
* HEADER FILE: TKRegister.h
*
* DESCRIPTION:  
*	Private interface file for TKRegister.c.  <then describe contents>
*
* CONSTANTS:
*	<constants>	<constants defined in this header file >
*
* TYPES:
*	<types>		<types defined in this header file >
*
* GLOBAL VARIABLES:
*	<globals>	<global variables defined in this header file >
*
* ROUTINES:
*   External:
*	...
*
* HISTORY:
*	21-FEB-91 DSB	Created
*	25-APR-91 AWH	WOO21: Renamed to TK...
*	02-MAY-91 DSB	Cleaning up generally
*	10-MAY-91 JBR	W0041.  Added su_GetUnitNames.
*	17-MAY-91 DSB	Moved TK_{Get,Set]RegionHandle from VKI file to here
*	30-MAY-91 DSB	Moved su_GetTypeInfoTypeClass to here from TKSignals.c
*	12-JUN-91 DSB	Added SIH_Std__Standard, SIH_Std__Standard__String, 
*			SIH_Std__TextIO
*	14-AUG-91 DSB	Added su_FindLibrary
*	23-AUG-91 DSB	Split TKSymbInfo into TKSymbUtils and TKRegister
*
* SCCS ID: @(#)TKRegister.h	42.1 1/10/92
*
******************************************************************* */

#include "VKRegister.h"
#include "TKListFns.h"		/* for TempList, etc. */

extern TempList SymbInfoList;		/* list of symb. info. records */
/* ?? make up our minds: is this in TKRegister.h or TKGlobals.h ?? */

	/* symbolic information handles for standard types, etc. */
extern VK_tSymbInfoHandle SIH_std;	/* library STD (dls_std) lib. region */

extern VK_tSymbInfoHandle SIH_Std__Standard;
					/* package declaration STD.STANDARD */

extern VK_tSymbInfoHandle SIH_Std__Standard__Boolean;
					/* type STD.STANDARD.BOOLEAN */
extern VK_tSymbInfoHandle SIH_Std__Standard__Bit;
					/* ... */
extern VK_tSymbInfoHandle SIH_Std__Standard__Time;
					/* ... */
extern VK_tSymbInfoHandle SIH_Std__Standard__String;
					/* ... */

extern VK_tSymbInfoHandle SIH_Std__TextIO;
					/* package declaration STD.TextIO */
extern VK_tSymbInfoHandle SIH_Std__TextIO__Text;
					/* type STD.TextIO.TEXT */


#endif /* TKRegister_H */
