--##*************************************************************************
--
--+ File: RVCG:[work/tests/project/step_tests]step18.vhdl
--
--+ Copyright: (c) 1991 by CAD Language Systems, Inc. All rights reserved.
--
--+ LRM_Version: IEEE Std. 1076-1987 (incl. "Sense of the VASG" I)
--
--+ Subsets: None
--
--+ Description: 
--
--+ Test_point -  (None)
--
--+ Test_objective - 
--
--+ References: 
--
--+ Instructions: 
--
--+ Keywords: 
--
--+ Test_Results: 
--
--+ Test_Type: 
--
--+ History: AWH/CLSI 12-Apr-91 - Test header automatically added
--
--+ Comments: 
--***********************************************************     
-- Begin test: >>>
---------------------------------------------------------------------------
-- 
-- File: Step18.vhdl
--
-- Test case: Overlapping drivers
--
-- VHDL Kernel Interface features exercised:
--  creation of drivers
---------------------------------------------------------------------------

entity step18 is
end step18;

architecture a of step18 is 
    type Int_V is array (1 to 5) of INTEGER;
    signal S: Int_V;
begin

    process
    begin

        assert FALSE report "TEST: Step18 tests: check overlapping drivers."
            severity NOTE;

                                -- assign future values of signals
    	S(2 to 4) <= (20, 20, 20) after 20ns;

        wait for 20ns - NOW;

        if not (S = (INTEGER'LEFT, 20, 20, 20, INTEGER'LEFT)) then
            assert FALSE
                report "FAIL: Step18 test 1: assignment to S failed at 20ns.";
        else
            assert FALSE
                report "PASS: Step18 test 1" severity NOTE;
        end if;
    
    	S(3 to 5) <= (30, 30, 30) after 10ns;

        wait for 30ns - NOW;

        if not (S = (INTEGER'LEFT, 20, 30, 30, 30)) then
            assert FALSE
                report "FAIL: Step18 test 2: assignment to S failed at 30ns.";
        else
            assert FALSE
                report "PASS: Step18 test 2" severity NOTE;
        end if;
    
    	S(1 to 3) <= (40, 40, 40) after 10ns;

        wait for 40ns - NOW;

        if not (S = (40, 40, 40, 30, 30)) then
            assert FALSE
                report "FAIL: Step18 test 3: assignment to S failed at 40ns.";
        else
            assert FALSE
                report "PASS: Step18 test 3" severity NOTE;
        end if;
        
        wait;                   -- wait forever
    end process;

end a;
    
    
    
    
    
    
    
    
