#ifndef VLConfigP_H
#define VLConfigP_H
/* *******************************************************************
*
* Copyright (c) 1989 by CAD Language Systems, Inc.  All rights reserved.
*
* This is part of CLSI's Retargetable Code Generator.
*
* This file contains CLSI Confidential Information.
* Handle in accordance with contractual confidentiality requirements.
*
* INCLUDE FILE: VLConfigP.h
*
* DESCRIPTION:  
*	Run-time library configuration file.
*
* HISTORY:
* 	14-Sep-90 GJB	Created from VCGRTL.h
*	25-APR-91 DSB	W0021: adapting to new VKI
*
* SCCS ID: @(#)VLConfigP.h	35.1 12/24/91
*
******************************************************************* */

#if 0 /* ?? W0021:  */

#include "VKConfig.h"		/* use standard control macros from VKI */

#ifdef VK_ANSI_FN_PROTOS
#  define ANSI_FN_PROTOS	/* ?? remove this and replace references with
				VK_ANSI_FN_PROTOS ?? */
#endif

/* ?? To do: add TK_ANSI_STORAGE_MODIFIER to VKConfigP.h ?? */
/* ?? To do: add const and volatile to VKConfigP.h ?? */

#else /* ?? W0021 */




#define RTL_USE_MACROS 1		/* default for now */


#endif /* ?? W0021 */

#endif /* VLConfigP_H */
