#ifndef VLI_H
#define VLI_H
/* *******************************************************************
*
* Copyright (c) 1989 by CAD Language Systems, Inc.  All rights reserved.
*
* This file contains CLSI Confidential Information.
* Handle in accordance with contractual confidentiality requirements.
*
* HEADER FILE: VLI.h
*
* DESCRIPTION:  
*	RVCG run-time library interface file.
*
* CONSTANTS:
*	none
*
* TYPES:
*	none
*
* GLOBAL VARIABLES:
*	none
*
* ROUTINES:
*	none
*
* HISTORY:
* 	14-SEP-90 GJB	Created from VCGRTL.h
*	30-APR-91 DSB	Changed old VL_tIntegerType to VK_tIntegerData/-Value
*	17-MAY-91 DSB	Switch old VLProcCtrlP.h to new VLCodeIntfP.h
*
* SCCS ID: @(#)VLI.h	35.1 12/24/91
*
******************************************************************* */

#include "VKI.h"		/* define simulator kernel interface */
#ifdef __cplusplus
extern "C" {
#endif
#include "VLCodeIntfP.h"	/* RTL functions called by kernel, + */

#include "VLDataP.h"		/* miscellaneous data manipulation */
#include "VLMathOpsP.h"		/* predefined math operators support */
#include "VLLogOpsP.h"		/* predefined operators support */
#include "VLMiscP.h"		/* comp. instantiation and error reporting */
#ifdef __cplusplus
}
#endif

#endif /* VLI_H */
