#ifndef FWCommon_H
#define FWCommon_H
/* *******************************************************************
*
* Copyright (c) 1989-1991 by CAD Language Systems, Inc.  All rights reserved.
*
* This file contains CLSI Confidential Information.
* Handle in accordance with contractual confidentiality requirements.
*
* HEADER FILE: FWCommon.h
*
* DESCRIPTION:  
*	Common typedefs used in fmtwave
*
* CONSTANTS:
*	<constants>	<constants defined in this header file >
*
* TYPES:
*	<types>		<types defined in this header file >
*
* GLOBAL VARIABLES:
*	<globals>	<global variables defined in this header file >
*
* ROUTINES:
*   External:
*	...
*
* HISTORY:
*	02-JUL-91 DSB	Created from TKCommon.h
* 	15-OCT-91 MNP	Prototype additions.
*	16-OCT-91 MNP	Nuked Boolean and Boolean1: use VK_tBoolean now.
*
* SCCS ID: @(#)FWCommon.h	42.2 1/13/92
*
******************************************************************* */

#include "VKConfig.h"		/* for VK_OS_* and *_ANSI_* */
#include "VKBasicTypes.h"	/* for VK_tBoolean... */

typedef char FWTempBuf20[20];
typedef char FWTempBuf40[40];
typedef char FWTempBuf80[80];
typedef char FWTempBuf256[256];
typedef char FWTempBuf1024[1024];
typedef char * FWString;


void DisplayPreviewMessage(
#ifdef VK_ANSI_FN_PROTOS
#endif
	);

#endif /* FWCommon_H */
