/* **********************************************************************
*
* Copyright 1990 by CAD Language Systems, Inc.  All rights reserved.
*
* This file contains CLSI Confidential Information.
* Handle in accordance with contractual confidentiality requirements.
*
* INCLUDE FILE: TKErrorMap.g
*
********************************************************************** */

 { KE_UnknownError, "UnknownError", Abort,
   "%s" }
,{ KE_Internal, "Internal", Abort,
   "%s" }
,{ KE_VHDL, "VHDL", Error,
   "%s\n\t from line %s of file %s" }
,{ KE_VHDLE, "VHDLE", Error,
   "%s (%s)\n\t from line %s of file %s" }
,{ KE_Assert, "Assert", Warning,
   "%s: %s%s" }
,{ KE_VCGLimit, "VCGLimit", Error,
   "%s" }
,{ KE_KernelLimit, "KernelLimit", Error,
   "%s" }
,{ KE_CycleLimit, "CycleLimit", Error,
   "Simulation terminating: exceed maximum simulation cycles (%s)" }
,{ KE_Ident, "Ident", Information,
   "%s Version %s" }
,{ KE_Elab, "Elab", Information,
   "Elaborating" }
,{ KE_Cycle, "Cycle", Information,
   "%s" }
,{ KE_Simul, "Simul", Information,
   "Simulating" }
,{ KE_TimeHi, "TimeHi", Information,
   "Simulation terminating; time reached Time'High" }
,{ KE_Complete, "Complete", Information,
   "Simulation Complete" }
,{ KE_Init, "Init", Information,
   "Initializing" }
,{ KE_OutOfRange, "OutOfRange", Warning,
   "Parameter is out of range in %s" }
,{ KE_EmptyList, "EmptyList", Warning,
   "Empty list in %s" }
,{ KE_NullList, "NullList", Warning,
   "List not initialized in %s" }
,{ KE_NullListItem, "NullListItem", Warning,
   "Null list item in %s" }
,{ KE_SameList, "SameList", Warning,
   "Lists are the same in %s" }
,{ KE_LimitStrOver, "LimitStrOver", Fatal,
   "Implementation limit: string overflow: '%s' plus '%s'" }
,{ KE_Memory, "Memory", Fatal,
   "Out of memory" }
,{ KE_Last, "Last", Abort,
   "This message should not appear" }

